{ lib, config, ... }:
{
  programs.fzf = {
    enable = true;

    rose-pine.enable = true;

    defaultOptions = [
      "--margin=10%,5%"
      "--border=sharp"
      "--pointer= "
      "--marker= "
      "--prompt= "
      "--preview-label-pos='bottom'"
      "--preview-window='border-sharp'"
    ];

    # TODO: Check that rg is installed.
    defaultCommand = "rg --files --hidden --glob \"!.git\"";

    # TODO: Check that fd is installed.
    changeDirWidgetCommand = "fd --type d";
    changeDirWidgetOptions = lib.mkIf config.programs.eza.enable [
      "--preview 'eza --all --color=always --sort=name --group-directories-first --level=3 {}'"
    ];

    # TODO: Check that fd is installed.
    fileWidgetCommand = "fd --type f";
    fileWidgetOptions = lib.mkIf config.programs.bat.enable [
      "--preview 'bat {}'"
    ];

    tmux.enableShellIntegration = lib.mkIf config.programs.tmux.enable true;
  };

  home.sessionVariables.fzf_diff_highlighter = "delta --paging=never --features=arctic-fox";
}
